@ECHO OFF

REM ___________________________________
REM ###################################
REM    Make SAGA-API Documentation
REM ###################################

REM ___________________________________
SET ZIPEXE="C:\Program Files\7-Zip\7z.exe" a -r -y -mx5
SET DOXEXE="C:\Program Files\doxygen\bin\doxygen.exe"

SET SAGA_VERSION=major.minor
SET SAGA_RELEASE=major.minor.release

MKDIR ".\saga-api-doc-%SAGA_RELEASE%"
PUSHD ".\saga-api-doc-%SAGA_RELEASE%"

%DOXEXE% ..\doxygen_saga_api_html"
%ZIPEXE% ".\saga-%SAGA_RELEASE%_api_doc.zip" "saga-%SAGA_RELEASE%_api_doc"

%DOXEXE% ..\doxygen_saga_api_chm"

RMDIR /S/Q "saga-%SAGA_RELEASE%_api_doc"
POPD

PAUSE
